This page in other versions: Unsupported versions: 7.0

Unsupported Platforms

Platforms listed for v6.3.x-v6.5.x should also work with v7.0, but we did not receive explicit confirmation of such at the time this list was compiled. We include these here to let you know that these platforms could be supported if given some attention.

At the time of publication, the following platforms have not been tested for v7.0 or v6.5.x:

Table 22-2. Unsupported Platforms

OS Processor Version Reported Remarks
BeOS x86 v7.0 2000-05-01 Client-side coming soon? Adam Haberlach
DGUX 5.4R4.11 m88k v6.3 1998-03-01 v6.4 probably OK. Needs new maintainer. Brian E Gallew
NetBSD-current NS32532 v6.4 1998-10-27 Date math annoyances. Jon Buller
NetBSD 1.3 VAX v6.3 1998-03-01 v7.0 should work. Tom I Helbekkmo
SVR4 4.4 m88k v6.2.1 1998-03-01 v6.4.x will need TAS spinlock code. Doug Winterburn
SVR4 MIPS v6.4 1998-10-28 No 64-bit int. Frank Ridderbusch
Ultrix MIPS, VAX v6.x 1998-03-01 No recent reports; obsolete?

There are a few platforms which have been attempted and which have been reported to not work with the standard distribution. Others listed here do not provide sufficient library support for an attempt.

Table 22-3. Incompatible Platforms

OS Processor Version Reported Remarks
MacOS all v6.x 1998-03-01 Not library compatible; use ODBC/JDBC
NextStep x86 v6.x 1998-03-01 Client-only support; v1.0.9 worked with patches David Wetzel
Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group